base_rpm_name='erad-base'

base_share_dir="/usr/share/$base_rpm_name"
base_var_dir="/var/lib/$base_rpm_name"
base_lib_dir="/usr/lib/$base_rpm_name"
base_include_dir="/usr/include/$base_rpm_name"
base_include_dir_pl="$base_include_dir/perl"
serialize_dir="/var/run/$base_rpm_name"
scripts_dir="/usr/libexec/$base_rpm_name"
export base_rpm_name  base_share_dir base_var_dir base_libdir \
    base_include_dir base_include_dir_pl serialize_dir scripts_dir


support_info_dir="$base_share_dir/support/"
export support_info_dir

localconf_root_events='post-rpm-inst post-server-reg pre-siteman-configure post-siteman-query post-siteman-config'
localconf_meduser_events='medinit pre-medsrv-init post-medsrv-init pre-medsrv-start post-medsrv-start pre-medsrv-stop post-medsrv-stop'
localconf_methods='configure query settings validate status'

localconf_dir="$base_var_dir/localconf"
localconf_scripts="$scripts_dir/localconf"
retrived_conf_dir="$base_var_dir/retrived"
assorted_conf="$base_var_dir/assorted"
reginfo_sent="$localconf_dir/reginfo"
reginfo_retrived="$retrived_conf_dir/reginfo"
authdata_retrived="$retrived_conf_dir/authdata"
localconf_cache="$base_var_dir/cache/localconf"
checklist_scripts="$scripts_dir/checklist"

export localconf_root_events localconf_meduser_events localconf_methods localconf_dir retrived_conf_dir reginfo_sent reginfo_retrived \
	localconf_scripts localconf_cache authdata_retrived assorted_conf checklist_scripts

siteman_scripts="$scripts_dir/siteman"
export siteman_scripts


siteadmin_id=540
siteadmin_usergroup='siteadmin'
siteadmin_home='/var/empty/siteadmin'
siteadmin_shell='/usr/bin/siteadmin'
siteadmin_user_comment='Local Site Administrator'
siteadmin_lconf_file="$localconf_dir/siteadmin"
export siteadmin_id siteadmin_usergroup siteadmin_home siteadmin_shell \
    siteadmin_user_comment siteadmin_lconf_file


linux_distro='Red Hat Enterprise Linux'
company_name='eRAD'
product_name='eRAD PACS'
support_voice='(866) 414-eRAD (3723)'
support_fax='(864) 234-7412'
support_email='support@eradpacs.com'
export linux_distro company_name product_name support_voice support_fax support_email


issue_file='/etc/issue'
modules_conf_file='/etc/modprobe.d/erad.conf'
export issue_file modules_conf_file


localefile='/etc/sysconfig/i18n'
export localefile


sudoers_file='/etc/sudoers'
export sudoers_file


autofs_master='/etc/auto.master'
autofs_mapfile='/etc/auto.mnt'
mountbase='/mnt'
mount_wrappoint="$mountbase/.autofs"

export autofs_master autofs_mapfile mountbase mount_wrappoint 


syslogcfg_file='/etc/rsyslog.conf'
syslog_initscript='/etc/rc.d/init.d/rsyslog'
syslog_sysconf_file='/etc/sysconfig/rsyslog'
syslog_d_dir='/etc/rsyslog.d'
syslog_d_master_prefix="$syslog_d_dir/erad"
syslog_d_meduser_prefix="$syslog_d_dir/erad-"
syslog_dir='/var/log'
syslog_pid='/var/run/syslogd.pid'
export syslogcfg_file syslog_initscript syslog_sysconf_file syslog_dir syslog_d_dir \
	syslog_d_master_prefix syslog_d_meduser_prefix syslog_pid


modconf_remove_audit_dev='alias char-major-10-224 off'
audit_logdir='/var/log/audit'
audit_logfile='/var/log/audit'

export modconf_remove_audit_dev audit_logdir audit_logfile


cups_conf_file='/etc/cups/cupsd.conf'
cups_client_conf_file='/etc/cups/client.conf'
cups_user='lp'
cups_group='sys'
export cups_conf_file cups_client_conf_file cups_user cups_group


ssh_config_file='/etc/ssh/ssh_config'
sshd_config_file='/etc/ssh/sshd_config'
ssh_known_hosts='/etc/ssh/ssh_known_hosts'
authorized_keys_file='authorized_keys'
export ssh_config_file sshd_config_file ssh_known_hosts authorized_keys_file

service_keys="$base_share_dir/ssh/service_keys"
root_keys="$base_share_dir/ssh/root_keys"
medsrv_keys="$base_share_dir/ssh/medsrv_keys"
monitoring_keys="$base_share_dir/ssh/monitoring_keys"
revoked_keys="$base_share_dir/ssh/revoked_keys"
export service_keys root_keys medsrv_keys monitoring_keys revoked_keys

#current_service_keys="$base_share_dir/ssh/current_servicekeys"
#revoked_service_keys="$base_share_dir/ssh/revoked_servicekeys"
#current_user_keys="$retrived_conf_dir/ssh/current_userkeys"
#revoked_user_keys="$retrived_conf_dir/ssh/revoked_userkeys"
#current_ssh_keys revoked_ssh_keys current_user_keys revoked_user_keys 


maintance_id=500
maintance_usergroup='image'
maintance_home="/home/$maintance_usergroup"
maintance_user_comment='eRAD-Imagemedical Maintance user'
export maintance_id maintance_usergroup maintance_home maintance_user_comment


logrotate_conf_syslog_file='/etc/logrotate.d/syslog'
logrotate_conf_warnerr_file='/etc/logrotate.d/erad'
logrotate_conf_mysql_file='/etc/logrotate.d/mysql'
logrotate_conf_mysqlerr_file='/etc/logrotate.d/mysql-err'
warnings_log_file='/var/log/warnings'
errors_log_file='/var/log/errors'
export logrotate_conf_syslog_file logrotate_conf_warnerr_file warnings_log_file errors_log_file \
	logrotate_conf_mysql_file errors_log_file

	
ntp_conf_file='/etc/ntp.conf'
ntp_sysconf_file='/etc/sysconfig/ntpd'
ntpdate_sysconf_file='/etc/sysconfig/ntpdate'
ntp_conf_dir='/etc/ntp'
ntp_var_dir='/var/lib/ntp'
ntp_usergroup='ntp'
ntp_lconf_file="$localconf_dir/ntp"
ntp_assorted_conf="$assorted_conf/ntp"
ntp_sysconf_options="-u ntp -p /var/run/ntpd.pid -g"

export ntp_conf_file ntp_sysconf_file ntp_var ntp_usergroup \
	ntp_lconf_file ntp_conf_dir ntp_var_dir ntp_sysconf_options \
	ntp_assorted_conf ntpdate_sysconf_file


mail_lconf_file="$localconf_dir/mail"
smtpauth_lconf_file="$localconf_dir/smtpauth"
mail_retrived="$retrived_conf_dir/mail"
mail_assorted="$assorted_conf/mail"
sendmail_mc_file='/etc/mail/sendmail.mc'
sendmail_cf_file='/etc/mail/sendmail.cf'
sendmail_sysconfig_file='/etc/sysconfig/sendmail'
old_sendmail_cf_file='/etc/sendmail.cf'
sendmail_access_file='/etc/mail/access'
sendmail_auth_dir='/etc/mail/auth'
sendmail_auth_files="$endmail_auth_dir/smtp-auth"
mailaliases_file1='/etc/aliases'
mailaliases_file2='/etc/aliases.erad'
mailertable_file='/etc/mail/mailertable'
mail_hostnames_file='/etc/mail/local-host-names'
hosts_deny_conf='/etc/hosts.deny'
hosts_allow_conf='/etc/hosts.allow'
procmailrc_file='/etc/procmailrc'

export sendmail_mc_file sendmail_cf_file old_sendmail_cf_file \
    sendmail_access_file mailaliases_file1 mailaliases_file2 \
    mailertable_file mail_hostnames_file mail_lconf_file \
    procmailrc_file hosts_deny_conf hosts_allow_conf mail_retrived \
	mail_assorted sendmail_sysconfig_file sendmail_auth_dir sendmail_auth_file \
	smtpauth_lconf_file


meduser_id_min=530
meduser_comment='PracticeBuilder Service'
meduser_asroot_script_postfix='.asr'
meduser_asroot_prefix='/usr/local/etc/asroot.'
meduser_rc_template="$base_share_dir/rc.meduser"
meduser_rc_dir='/etc/init.d'
export meduser_id_min meduser_comment meduser_asroot_prefix meduser_rc_template \
    meduser_rc_dir meduser_asroot_script_postfix


ssh_root_keys_file="$retrived_conf_dir/ssh/authorized_keys_root"
ssh_meduser_keys_file="$retrived_conf_dir/ssh/authorized_keys_meduser"
export ssh_root_keys_file ssh_meduser_keys_file



ldsoconf_cache='/etc/ld.so.cache'
ldsoconf_dir='/etc/ld.so.conf.d'
export ldsoconf_cache ldsoconf_dir


sudoers_file='/etc/sudoers'
sudoers_master_file='/etc/sudoers.d/erad'
sudoers_meduser_prefix='/etc/sudoers.d/erad-'
sudoers_siteadmin_file='/etc/sudoers.d/erad-siteadmin'
sudoers_siteman_file='/etc/sudoers.d/erad-siteman'
export sudoers_file sudoers_master_file sudoers_root_file sudoers_meduser_prefix \
	sudoers_siteadmin_file sudoers_siteman_file


inittab_file='/etc/inittab'
init_sysconfig='/etc/sysconfig/init'
init_functions='/etc/init.d/functions'
init_cad_file='/etc/init/control-alt-delete.override'
export inittab_file init_cad_file init_sysconfig init_functions


updatedb_conf_file='/etc/updatedb.conf'
updatedb_script='/etc/cron.daily/slocate.cron'
updatedb_bin='/usr/bin/updatedb'

export updatedb_conf_file updatedb_script updatedb_bin


##
##
# Note: Openssl variables moved to include/sslcert, because the path is OS dependent.
#
ssl_share_dir="$base_share_dir/ssl"
ssl_retrived_dir="$retrived_conf_dir/ssl"
ssl_localconf_dir="$localconf_dir/ssl"
ssl_cert_dir="$ssl_retrived_dir/certs"
ssl_cert_file="$ssl_cert_dir/HOSTNAME"
ssl_eimCA="$ssl_share_dir/eim-ca-cert.pem"
ssl_eimCA_revoked="$ssl_share_dir/eim-ca-revoked.pem"
ssl_CA_bundle="$ssl_dir/certs/ca-bundle.crt"
ssl_certreq_pointer="$ssl_localconf_dir/certreq"

openssl_conf_template="$ssl_share_dir/openssl.cnf-template"

export ssl_dir ssl_share_dir ssl_retrived_dir ssl_localconf_dir \
    ssl_cert_dir ssl_eimCA ssl_eimCA_revoked \
    ssl_CA_bundle openssl_conf_template openssl_conf \
    openssl_cert_dir openssl_privkey openssl_CA_bundle \
    openssl_server_cert openssl_pass openssl_challenge_pass \
    ssl_certreq_pointer ssl_cert_file


power_lconf_file="$localconf_dir/power"
environment_lconf_file="$localconf_dir/environment"
export power_lconf_file environment_conf


lilo_conf='/etc/lilo.conf'
export lilo_conf


siteman_id=560
siteman_usergroup='siteman'
siteman_home="$base_lib_dir/siteman"
siteman_root_scripts="$siteman_home/scripts"
siteman_shell_restricted='/bin/rzsh'
siteman_shell_real='/bin/zsh'
siteman_shell=$siteman_shell_restricted
siteman_user_comment='Site Manager Entry'
siteman_meduser_script='component/tools/siteman.sh'
export siteman_id siteman_usergroup siteman_home siteman_shell siteman_shell_restricted \
    siteman_user_comment siteman_shell_real siteman_meduser_script siteman_root_scripts


selinux_conf_file='/etc/selinux/config'
export selinux_conf_file


yum_conf='/etc/yum.conf'
yum_repos_dir='/etc/yum.repos.d'
yum_default_cachedir='/var/cache/yum'
yum_cachedir='/home/.yumcache'
export yum_conf yum_repos_dir yum_default_cachedir yum_cachedir


efaxconfig_file='/etc/efax.rc'	
cups_backend_config_file='/etc/sysconfig/fax'	
cups_fax_driver='/usr/share/cups/model/efax.ppd'
cups_device_prefix='efax:'
fax_logdir='/var/log/fax'
export efaxconfig_file cups_backend_config_file  cups_fax_driver cups_device_prefix


service_subsys_lockdir='/var/lock/subsys'
export service_subsys_lockdir

nagios_plugins_dir='/usr/lib/nagios/plugins'
export nagios_plugins_dir

backup_id=570
backup_usergroup='backup'
backup_home='/home/backup'
backup_shell='/bin/true'
backup_user_comment='SFTP-only chrooted account'
backup_chroot_dir="$backup_home/files"
export backup_id backup_usergroup backup_home backup_shell backup_user_comment \
	backup_chroot_dir

bash_rc='.bashrc'
export bash_rc

sys_mysql_user='mysql'
sys_mysql_conf_d='/etc/my.cnf.d'
sys_mysql_cnf='/etc/my.cnf'
sys_mysql='/usr/bin/mysql'
sys_mysqld_datadir='/var/lib/mysql'
sys_mysqld_socket='/var/lib/mysql/mysql.sock'
sys_mysqlbindir='/usr/bin'
sys_mysql_run='/var/lock/subsys/mysqld'
sys_mysql_pid='/var/run/mysqld/mysqld.pid'
sys_mysql_share='/usr/share/mysql'
sys_mysql_logfile='/var/lib/mysql/mysqld.log'
sys_mysql_sysconfig='/etc/sysconfig/mysqld'
export sys_mysql_user sys_mysql_conf_d sys_mysql_cnf sys_mysql sys_mysqlbindir  \
	sys_mysql_run sys_mysql_pid sys_mysqld_datadir sys_mysqld_socket sys_mysql_share \
	sys_mysql_logfile sys_mysql_sysconfig
